Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class AssertingAtomicReader.AssertingDocsEnum

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.index.DocsEnum
              org.apache.lucene.index.FilterAtomicReader.FilterDocsEnum
                  org.apache.lucene.index.AssertingAtomicReader.AssertingDocsEnum

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingDocsEnum

extends FilterAtomicReader.FilterDocsEnum

Wraps a docsenum with additional checks

Field Summary

Fields inherited from class org.apache.lucene.index.FilterAtomicReader.FilterDocsEnum
`in`

Fields inherited from class org.apache.lucene.index.DocsEnum
`FLAG_FREQS, FLAG_NONE`

Fields inherited from class org.apache.lucene.search.DocIdSetIterator
`NO_MORE_DOCS`

Constructor Summary
`AssertingAtomicReader.AssertingDocsEnum(DocsEnum in)`
`AssertingAtomicReader.AssertingDocsEnum(DocsEnum in, boolean failOnUnsupportedDocID)`

Method Summary
`int` | `advance(int target)`
`int` | `docID()`
`int` | `freq()`
`int` | `nextDoc()`

Methods inherited from class org.apache.lucene.index.FilterAtomicReader.FilterDocsEnum
`attributes, cost`

Methods inherited from class org.apache.lucene.search.DocIdSetIterator
`slowAdvance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertingAtomicReader.AssertingDocsEnum

    public AssertingAtomicReader.AssertingDocsEnum(DocsEnum in)

### AssertingAtomicReader.AssertingDocsEnum

    public AssertingAtomicReader.AssertingDocsEnum(DocsEnum in,
                                                   boolean failOnUnsupportedDocID)

Method Detail

### nextDoc

    public int nextDoc()
                throws IOException

  Overrides:
    `nextDoc` in class `FilterAtomicReader.FilterDocsEnum`
  Throws:
    `IOException`

### advance

    public int advance(int target)
                throws IOException

  Overrides:
    `advance` in class `FilterAtomicReader.FilterDocsEnum`
  Throws:
    `IOException`

### docID

    public int docID()

  Overrides:
    `docID` in class `FilterAtomicReader.FilterDocsEnum`

### freq

    public int freq()
             throws IOException

  Overrides:
    `freq` in class `FilterAtomicReader.FilterDocsEnum`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.